View Issue Details

IDProjectCategoryView StatusLast Update
12721Bug reports[All Projects] Survey takingpublic2018-06-15 14:27
ReporterDenisChenu Assigned Todominikvitt  
PrioritylowSeverityminor 
Status closedResolutionfixed 
Product Version2.70.x 
Target VersionFixed in Version3.7.x 
Summary12721: Date shown in error is not date entered by user
Description

With JS and dropdown date : the error shown is not the one we must show. (+ some other error in JS)

Steps To Reproduce

Import included survey, launch and send 2017-02-31 for date "Could not convert date Invalid date to format Y-m-d. Please check your date format settings.", i think we must show "Could not convert date 2017-02-31 to format Y-m-d.".

Set 2: deactivate JS

  • enter 2017-02-31 in dropdown
  • serror are not shown (but we get back to the survey : it's cool)

Set 3:deactivate JS

  • Leave dropdown
  • Enter 2017-02-31 (or this answer is invalid) in date input
  • The dropdown show red (but why ????)
  • the text input is empty (i think we must leave the current value entered)
Additional Information

Think this can be fixed only in 3.0 :)

TagsNo tags attached.
Complete LimeSurvey version number (& build)2.71.0-20170927
I will donate to the project if issue is resolvedNo
Browsernot relevant
Database & DB-Versionnot relevant
Server OS (if known)not relevant
Webserver software & version (if known)not relevant
PHP Versionnot relevant

Relationships

related to 13736 closedDenisChenu No javascript : bad date not saved but error not shown 

Activities

DenisChenu

DenisChenu

2017-09-27 09:33

developer  

limesurvey_survey_dateErrorsImprove.lss (14,354 bytes)
dominikvitt

dominikvitt

2018-05-31 15:03

developer   ~47934

Date dropdown question type validation is now working fine, no error message is shown.

It is related to this bug:
https://bugs.limesurvey.org/view.php?id=13615

Fix was committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=27173

DenisChenu

DenisChenu

2018-06-02 15:52

developer   ~47948

It working fine in javascript only …

see https://bugs.limesurvey.org/view.php?id=13736

c_schmitz

c_schmitz

2018-06-15 14:27

administrator   ~48138

New version released.

Issue History

Date Modified Username Field Change
2017-09-27 09:33 DenisChenu New Issue
2017-09-27 09:33 DenisChenu File Added: Capture du 2017-09-27 09-24-58.png
2017-09-27 09:33 DenisChenu File Added: Capture du 2017-09-27 09-30-17.png
2017-09-27 09:33 DenisChenu File Added: limesurvey_survey_dateErrorsImprove.lss
2018-05-23 11:38 LouisGac Assigned To => dominikvitt
2018-05-23 11:38 LouisGac Status new => assigned
2018-05-23 11:39 LouisGac Priority none => low
2018-05-31 15:03 dominikvitt Status assigned => resolved
2018-05-31 15:03 dominikvitt Resolution open => fixed
2018-05-31 15:03 dominikvitt Fixed in Version => 3.7.x
2018-05-31 15:03 dominikvitt Note Added: 47934
2018-06-02 15:52 DenisChenu Note Added: 47948
2018-06-02 15:52 DenisChenu Relationship added related to 13736
2018-06-15 14:27 c_schmitz Note Added: 48138
2018-06-15 14:27 c_schmitz Status resolved => closed